#cookie-banner {
	max-width: min-content;		
	min-width: 300px;			
	flex-direction: column;
	position: fixed;
	bottom: 30px;
	left: 30px;					
	z-index: 9999;
	background-color: rgb(233, 233, 233, 0.75);				
	box-shadow: 0 4px 12px rgba(0,0,0,0.5);
	color: #353535;
	padding: 16px;
	border-radius: 8px;
	font-family: Arial, sans-serif;
	font-size: 14px;
}

#cookie-banner-button-block {
	display: flex;
	justify-content: center;
}

#cookie-banner button {
	margin-top: 10px;
	margin-right: 8px;
	padding: 6px 12px;
	border: none;
	border-radius: 4px;
	cursor: pointer;
}

#cookie-accept {
	background: #22c55e;
	color: white;
	font-size: 14px;
	text-shadow: none;
}

#cookie-reject {
	background: #ef4444;
	color: white;
	font-size: 14px;
	text-shadow: none;
}

#cookie-more {
	background: transparent;
	color: #168000;
	font-size: 14px;
	text-shadow: none;
	text-decoration: underline;
}

#cookie-details {
	display: none;
	margin-top: 10px;
	font-size: 13px;
	line-height: 1.4;
	background: rgb(184, 212, 51);					
	padding: 10px;
	border-radius: 6px;
	box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}